Bug 644926 - calling elevator_change immediately after blk_init_queue results in a null pointer dereference [rhel-6.0.z]
Summary: calling elevator_change immediately after blk_init_queue results in a null po...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.1
Hardware: All
OS: Linux
urgent
high
Target Milestone: rc
: ---
Assignee: Frantisek Hrbata
QA Contact: Storage QE
URL:
Whiteboard:
Depends On: 641408
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-20 15:55 UTC by Benjamin Kahn
Modified: 2013-01-11 03:25 UTC (History)
12 users (show)

Fixed In Version: kernel-2.6.32-71.6.1.el6
Doc Type: Bug Fix
Doc Text:
Previously, calling the elevator_change function immediately after the blk_init_queue function resulted in a null pointer dereference. With this update, the null pointer dereference no longer occurs.
Clone Of:
Environment:
Last Closed: 2010-11-10 19:11:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0842 0 normal SHIPPED_LIVE Important: kernel security and bug fix update 2010-11-22 19:34:20 UTC

Description Benjamin Kahn 2010-10-20 15:55:04 UTC
This bug has been copied from bug #641408 and has been proposed
to be backported to 6.0 z-stream (EUS).

Comment 3 Frantisek Hrbata 2010-10-20 21:33:00 UTC
in 2.6.32-71.6.1.el6

Comment 5 Barry Donahue 2010-10-26 14:22:06 UTC
SanityOnly. We don't have an s390 tape drive.

Comment 7 errata-xmlrpc 2010-11-10 19:11:43 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0842.html

Comment 8 Martin Prpič 2010-11-11 12:06:10 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, calling the elevator_change function immediately after the blk_init_queue function resulted in a null pointer dereference. With this update, the null pointer dereference no longer occurs.


Note You need to log in before you can comment on or make changes to this bug.